
@font-face {
    font-family: "OpenSans";
    src: url("../fonts/OpenSans/OpenSans-Regular.ttf");
}

@font-face {
    font-family: "OpenSans";
    src: url("../fonts/OpenSans/OpenSans-Bold.ttf");
    font-weight: bold;
}

html, body {
	margin: 0;
	padding: 0;
	border: 0;
    font-family: "OpenSans";
    color: #232323;
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

.content {
    flex: 1 0 auto;
}

a {
    outline: none;
}

/* HEADER */

.header-main {
    background: #f5e6d2;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}

.header-main .logo {
    max-width: min(65%, 280px);
    height: fit-content;
    height: auto;
}

.header-main .gruppe {
    font-size: 14px;
    color: #212529;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.header-main .gruppe svg path {
    fill: #a2a1a3;
    transition: .2s ease-in-out;
}

.header-main .gruppe:hover svg path {
    fill: #db0012;
}

.header-main .gruppe span {
    font-weight: bold;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.header-bottom {
    display: flex;
    align-items: center;
    background: #696969;
    height: 42px;
    padding: 0 20px;
}

.header-bottom a {
    color: #fff;
    text-decoration: none;
    line-height: 27px;
}

.header-bottom a:hover {
    font-weight: bold;
}

.header-bottom a span {
    font-size: 27px;
    position: relative;
    top: 3px;
}

/* MAIN */

.main {
    display: flex;
    justify-content: center;
}

.main .main-inner {
    display: flex;
    text-align: center;
    padding: 40px 20px 60px;
    flex-direction: column;
}

.main .main-inner .button-link {
    width: max-content;
    height: 48px;
    background-color: #e30613;
    border: none;
    border-radius: 4px;
    color: #fff;
    text-transform: uppercase;
    font-size: 15px;
    letter-spacing: 1px;
    padding: 0 35px;
    margin-top: 24px;
    cursor: pointer;
    transition: .2s ease-in-out;
    display: flex;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
    text-decoration: none;
}

.main .main-inner .intro-container {
    max-width: 530px;
}

.main .main-inner .intro-container .intro-headline-top {
    font-size: 16px;
    line-height: 24px;
    font-weight: bold;
    margin: 12px 0 0 0;
}

.main .main-inner .intro-container .intro-headline {
    font-size: 36px;
    line-height: 46px;
    margin: 12px 0 0 0;
}

.main .main-inner .intro-container .intro-text {
    font-size: 16px;
    line-height: 24px;
    margin: 32px 0 0 0;
}

.main .main-inner .form-container {
    max-width: 530px;
    margin-top: 24px;
}

.main .main-inner .form-container .rating-container {
    float: left;
    width: max-content;
    margin-left: auto;
    margin-right: auto;
}

.main .main-inner .form-container .rating-container:not(:checked) > input {
    display: none;
}

.main .main-inner .form-container .rating-container:not(:checked) > label {
    float: right;
    width: 1em;
    padding: 0 .1em;
    overflow: hidden;
    white-space: nowrap;
    cursor: pointer;
    font-size: 200%;
    line-height: 1.2;
    transition: all .5s;
}

.main .main-inner .form-container .rating-container:not(:checked) > label::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 400;
    content: "\f005";
}

.main .main-inner .form-container .rating-container > input:checked ~ label::before,
.main .main-inner .form-container .rating-container:not(:checked) > label:hover::before,
.main .main-inner .form-container .rating-container:not(:checked) > label:hover ~ label::before,
.main .main-inner .form-container .rating-container > input:checked + label:hover::before,
.main .main-inner .form-container .rating-container > input:checked + label:hover ~ label::before,
.main .main-inner .form-container .rating-container > input:checked ~ label:hover::before,
.main .main-inner .form-container .rating-container > input:checked ~ label:hover ~ label::before,
.main .main-inner .form-container .rating-container > label:hover ~ input:checked ~ label::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f005";
}

.main .main-inner .form-container #form-rating {
    display: flex;
    flex-direction: column;
}

.main .main-inner .form-container .checkbox-container {
    position: relative;
    margin-top: 32px;
    width: 100%;
    text-align: left;
    font-size: 14px;
    line-height: 1.5;
}

.main .main-inner .form-container .checkbox-container input[type="checkbox"] {
    position: absolute;
}
  
.main .main-inner .form-container .checkbox-container input[type="checkbox"] + label {
    display: flex;
    width: 100%;
    cursor: pointer;
}

.main .main-inner .form-container .checkbox-container label span {
    width: calc(100% - 34px);
}

.main .main-inner .form-container .checkbox-container label span a {
    color: #232323;
}
  
.main .main-inner .form-container .checkbox-container input[type="checkbox"] + label::before {
    width: 15px;
    height: 15px;
    border: 2px solid #414141;
    background-color: #fff;
    display: block;
    content: "";
    float: left;
    margin: 2px 15px 0 0;
    z-index: 5;
    position: relative;
}
  
.main .main-inner .form-container .checkbox-container input[type="checkbox"]:checked+label::before {
    box-shadow: inset 0px 0px 0px 3px #fff;
    background-color: #414141;
}

.main .main-inner .form-container .input-container {
    position: relative;
    margin-top: 32px;
}

.main .main-inner .form-container .input-container select {
    background-color: #fff;
    border-radius: 0 !important;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill=''><polygon points='0,0 100,0 50,50'/></svg>") no-repeat;
    background-size: 12px;
    background-position: calc(100% - 10px) center;
    background-repeat: no-repeat;
}
  
.main .main-inner .form-container .input-container input,
.main .main-inner .form-container .input-container select {
    border: 0;
    border-bottom: 1px solid #414141;
    outline: none;
    transition: .2s ease-in-out;
    box-sizing: border-box;
}

.main .main-inner .form-container .input-container label {
    top: 0;
    left: 0; 
    right: 0;
    display: flex;
    align-items: center;
    position: absolute;
    font-size: 20px;
    cursor: text;
    transition: .2s ease-in-out;
    box-sizing: border-box;
}

.main .main-inner .form-container .input-container input,
.main .main-inner .form-container .input-container select,
.main .main-inner .form-container .input-container label {
    width: 100%;
    height: 3rem;
    font-size: 20px;
    font-family: "OpenSans";
}

.main .main-inner .form-container .input-container input:focus {
    border-bottom: 1px solid #e30613;  
}

.main .main-inner .form-container .input-container input:focus + label,
.main .main-inner .form-container .input-container select + label,
.main .main-inner .form-container .input-container input:not(:placeholder-shown) + label {
    font-weight: bold;
    font-size: 12px;
    top: -30px;
    pointer-events: none;
}

.main .main-inner .form-container .input-container #togglePassword {
    cursor: pointer;
    position: absolute;
    margin-top: 16px;
    top: 0;
    right: 10px;
}

.main .main-inner .form-container .input-container #kennwort {
    padding-right: 45px;
}

.main .main-inner .form-container .button-submit {
    width: 100%;
    height: 48px;
    background-color: #e30613;
    border: none;
    border-radius: 4px;
    color: #fff;
    text-transform: uppercase;
    font-size: 15px;
    letter-spacing: 1px;
    padding: 0 35px;
    margin-top: 48px;
    float: right;
    cursor: pointer;
    transition: .2s ease-in-out;
}

.main .main-inner .form-container .button-submit:disabled {
    opacity: 0.5;
    cursor: auto;
}

.main .main-inner .form-container .info-require {
    float: left;
    margin-top: 32px;
    font-size: 12px;
    text-align: left;
}

.main .main-inner .form-container .form-error {
    display: flex;
    align-items: center;
    border-color: #dc3149;
    background-color: #fbeaec;
    border: 1px solid;
    border-radius: 4px;
    margin-top: 40px;
    font-size: 14px;
    padding: 23px;
}

.main .main-inner .form-container .form-error .form-error-icon {
    margin-right: 20px;
}

.main .main-inner .form-container .form-error .form-error-text {
    text-align: left;
}

/* FOOTER */

.footer {
    flex-shrink: 0;
    padding: 20px;
    font-size: 12px;
    color: #FFFFFF;
    background-color: #848484;
}

.footer .footer-inner {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
}

.footer .footer-inner .footer-branding {
    margin-bottom: 5px;
}

.footer .footer-inner .footer-nav {
    display: flex;
    flex-wrap: wrap;
    padding-left: 0;
    margin: 0;
    list-style: none;
}

.footer .footer-inner .footer-nav .nav-item a {
    color: #fff;
    text-decoration: none;
}

.footer .footer-inner .footer-nav .nav-item:not(:first-child) a::before {
    position: relative;
    margin: 0 5px;
    content: '\007C';
}

/* SPECIAL */

.fs18 {
    font-size: 18px !important;
    line-height: 28px !important;
}

/* MEDIA QUERY */

@media only screen and (min-width: 768px) {

    .main .main-inner .form-container .button-submit {
        width: auto;
    }

    .main .main-inner .form-container .info-require {
        margin-top: 48px;
    }
    
    .footer .footer-inner {
        flex-direction: row;
    }

    .footer .footer-inner .footer-branding {
        margin-bottom: 0px;
    }

}

@media only screen and (min-width: 1200px) {
    
    .header-main .gruppe {
        flex-direction: row;
    }

    .header-main .gruppe svg {
        width: 21px;
    }

    .header-main .gruppe span {
        font-weight: 400;
        letter-spacing: 0;
        text-transform: none;
        margin-left: 10px;
    }

    .main .main-inner .intro-container .intro-headline {
        font-size: 48px;
        line-height: 62px;
    }

}